local fn = _gn(0x43AD8FC02B429D33)
--- Returns name hash, see common:/data/levels/rdr3/mapzones.meta
-- type (-1 matches any type):
-- class CMapZone
-- {
-- public:
-- enum class Type
-- {
-- STATE,
-- TOWN,
-- LAKE,
-- RIVER,
-- OIL_SPILL,
-- SWAMP,
-- OCEAN,
-- CREEK,
-- POND,
-- GLACIER,
-- DISTRICT,
-- TEXT_PRINTED,
-- TEXT_WRITTEN
-- };
-- };
-- https://github.com/femga/rdr3_discoveries/tree/master/zones & https://alloc8or.re/rdr3/doc/enums/CMapZone__Type.txt
function Global.GetMapZoneAtCoords(x, y, z, type)
	return _in2(fn, x, y, z, type, _ri)
end
